## com.google.appengine.api.blobstore
Class BlobstoreFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.blobstore.BlobstoreFailureException

All Implemented Interfaces:
  java.io.Serializable

    public class BlobstoreFailureException

extends java.lang.RuntimeException

`BlobstoreFailureException` is an unchecked exception that is thrown for any unexpected error that occurs while communicating with the blobstore.

See Also:
  Serialized Form

Constructor Summary
`BlobstoreFailureException(java.lang.String message)`
`BlobstoreFailureException(java.lang.String message, java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BlobstoreFailureException

    public BlobstoreFailureException(java.lang.String message)

### BlobstoreFailureException

    public BlobstoreFailureException(java.lang.String message,
                                     java.lang.Throwable cause)